tt=read.table("ftse2011.dat", header=T)
# tt=read.table("ftse2010-1.dat", header=T)
# Dates <- as.vector(t[,1])
# D <- strptime(Dates, "%Y-%m-%d") #convert to  POSIXlt (a date class)
n=nrow(tt)
t=tt[n:1,]

x1=diff(log(t[,2]))
x2=diff(log(t[,3]))
x3=diff(log(t[,4]))

x=data.frame(x1,x2,x3)
names(x)=c("FTSE100", "FTSE MidCap", "FTSE SmallCap")
attach(x)

ps.options(horizontal=F, width=4.6, height=4, pointsize=10)
postscript("Fig42.ps", onefile=F, print=F)
# par(mar=c(2,1,2,1),mgp=c(2.0,0.8,0))
t=acf(x)
plot(t, ylab="")
dev.off()
detach(x)
rm(x,t)
